import { Component, Input } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-root-about-us',
  templateUrl: './root-about-us.component.html',
  styleUrls: ['./root-about-us.component.css']
})
export class RootAboutUsComponent {
  
  storeData: any;
  @Input() isShown: boolean = true;  // Default value is empty string

    constructor(public store: Store<any>) {
        this.initStore();
    }
    async initStore() {
        this.store
            .select((d) => d.index)
            .subscribe((d) => {
                this.storeData = d;
            });
    }
}
